# Item Tweaks
Tweaks some items to make them more useful. Individual tweaks can be enabled or disabled. Some tweaks are configurable -- changes will be reflected by item descriptions and ItemStatsMod if you have it installed. Check the config file for complete configuration options.
Changes:
\* Repulsion Armor Plate reduces incoming damage by 1% of your max health; can be changed to alternate modes.
\* Paul's Goat Hoof now gives 9% speed per stack so it doesn't tread on Energy Drink.
\* Optional configuration to buff Energy Drink if you don't want to nerf Goat Hoof.
\* Fresh Meat now regens 3hp/s and gains 1.5hp/s per stack.

\* Leeching Seed now heals 3 hp on hit.

\* Frost Relic now lasts for 10 seconds (twice as long) and doesn't change your camera.

\* Titanic Knurl now increases your maximum health by 8%; can also be changed to a fixed amount per stack. Its health regen bonus can also be reconfigured.
\* Mired Urn's targeting filters out allies. Should make it less frustrating for multiplayer.
\* Halcyon Seed and Queen's Gland summons no longer get annoyed if you accidentally hit them.

\* Gesture of the Drowned gives your equipment a 10% chance to do nothing when used.

Probably will tweak more items in the future.

I'm open to suggestions and feedback; feel free to DM Horseyboi#7729 or ping me on the modding discord if you have an idea, think the stat retuning is off, or if you just want to say hi.

## To Do List in Order of Uncertainty:
\* Buff Queen's Gland somehow? I think the main problem is beetle guard can't hurt air units.
\* Make Happiest Mask guaranteed to summon a ghost but function on a cooldown?
\* Make Rusted Key cache more visible or something? Key is good but sometimes not practical.
\* Change Fireworks? Activate on equipment use? Not sure about this.
\* Buff Sticky Bomb damage? Rework it to be somewhat like bands?
\* Increase Ghor's Tome chance? I'm iffy on whether or not it needs a buff.
\* Buff Resonance Disk? Make it prioritize high HP enemies or something? Help spin gen?
\* Figure out a way to prevent Urn from tarring allies instead of not targeting them all together?

## Changelog
**1.4.3**
Updated hooks for Goat Hoof and Energy Drink, as well as RAP's armour mode.
Compatibility issues with BORBO should be fixed -- let me know if they aren't.
Possibly fixed Gesture not properly failing some equipment.
TODO: update other hooks to prevent other mod conflicts.

**1.4.2**
Added ItemStats compatibility for Frost Relic and Leeching Seed.
Added missing language change for Leeching Seed.
Fixed some language changes looking a bit off.

**1.4.1**
Fixed a typo that mysteriously ctrl+z'd itself into existence and broke the entire mod.

**1.4.0**
Todo: add ItemStats implementation for latest batches of changes.
Made code less messy so adding more stuff should be easier.
Leeching Seed is now longer useless. (heals 3 health on hit; still affected by proc coefficient)
Frost Relic no longer messes with your camera and lasts twice as long.
Titanic Knurl health regen is now configurable.
Queen's Gland and Halcyon Seed summons have the neverRetaliatesFriendlies flag set to true.
Nerfed Mired Urn to 45% damage per second (thus nerfing its healing too).
Gesture of the Drowned having 10% fail chance seems fine so that's official for this build.
Good luck deciphering what's on the mod icon now.

**1.3.1**
Fixed up some description code so turning off some stack options should hide useless description information. (🍞)
Definitely didn't add any disabled experimental options in the config.
Nope, no sir.
(Forgot to mention I nerfed Knurl's default health bonus to 8%)

**1.3.0**
Buffed Fresh Meat: now grants *3* hp/s on kill and another *1.5* per stack. Duration is unchanged but also configureable.
Might be a bit overtuned; I'm not sure.

**1.2.1**
Fixed bad calculations on Repulsion Armor Plate percent mode damage reduction and Knurl fixed health bonus

**1.2.0**
Added more options for monster RAP (say you want to give them armor too).
Changed item descriptions and tooltips to reflect the tweaked functionality.
Implemented support for ItemStatsMod -- tweaks made this mod should now appear in advanced tooltips.

**1.1.1**
Fixed Repulsion Armor Plate granting the secret knowledge of immortality.

**1.1.0**
Recoded logic for RAP changes; monsters now get their own flat reduction.
Added an option for Repulsion Armor Plate to grant players armor instead.
Added configuration for Paul's Goat Hoof and Energy Drink.

**1.0.0**
Release -- replaces UrnIgnoresAllies.